OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
bufferevent_ops Struct Reference

Implementation table for a bufferevent: holds function pointers and other information to make the various bufferevent types work. More...

`#include <bufferevent-internal.h>`

## Data Fields
const char * | type
| The name of the bufferevent's type. More...
off_t | mem_offset
| At what offset into the implementation type will we find a bufferevent structure? More...
int(* | enable )(struct bufferevent *, short)
| Enables one or more of EV_READ|EV_WRITE on a bufferevent. More...
int(* | disable )(struct bufferevent *, short)
| Disables one or more of EV_READ|EV_WRITE on a bufferevent. More...
void(* | destruct )(struct bufferevent *)
| Free any storage and deallocate any extra data or structures used in this implementation.
int(* | adj_timeouts )(struct bufferevent *)
| Called when the timeouts on the bufferevent have changed. More...
int(* | flush )(struct bufferevent *, short, enum bufferevent_flush_mode)
| Called to flush data. More...
int(* | ctrl )(struct bufferevent *, enum bufferevent_ctrl_op, union bufferevent_ctrl_data *)
| Called to access miscellaneous fields. More...

## Detailed Description

Implementation table for a bufferevent: holds function pointers and other information to make the various bufferevent types work.

## Field Documentation

int(* bufferevent_ops::adj_timeouts)(struct bufferevent *)

Called when the timeouts on the bufferevent have changed.

Referenced by bufferevent_set_timeouts().

int(* bufferevent_ops::ctrl)(struct bufferevent *, enum bufferevent_ctrl_op, union bufferevent_ctrl_data *)

Called to access miscellaneous fields.

Referenced by bufferevent_get_underlying(), bufferevent_getfd(), and bufferevent_setfd().

int(* bufferevent_ops::disable)(struct bufferevent *, short)

Disables one or more of EV_READ|EV_WRITE on a bufferevent.

Does not need to adjust the 'enabled' field. Returns 0 on success, -1 on failure.

Referenced by bufferevent_disable().

int(* bufferevent_ops::enable)(struct bufferevent *, short)

Enables one or more of EV_READ|EV_WRITE on a bufferevent.

Does not need to adjust the 'enabled' field. Returns 0 on success, -1 on failure.

Referenced by bufferevent_enable().

int(* bufferevent_ops::flush)(struct bufferevent *, short, enum bufferevent_flush_mode)

Called to flush data.

Referenced by bufferevent_flush().

off_t bufferevent_ops::mem_offset

At what offset into the implementation type will we find a bufferevent structure?

Example: if the type is implemented as struct bufferevent_x { int extra_data; struct bufferevent bev; } then mem_offset should be offsetof(struct bufferevent_x, bev)

const char* bufferevent_ops::type

The name of the bufferevent's type.

The documentation for this struct was generated from the following file:

- opal/mca/event/libevent2013/libevent/bufferevent-internal.h